from frostfs_testlib.cli.frostfs_cli.cli import FrostfsCli
from frostfs_testlib.storage.grpc_operations import implementations, interfaces, interfaces_wrapper


class CliClientWrapper(interfaces_wrapper.GrpcClientWrapper):
    def __init__(self, cli: FrostfsCli) -> None:
        self.cli = cli
        self.object: interfaces.ObjectInterface = implementations.ObjectOperations(self.cli)
        self.container: interfaces.ContainerInterface = implementations.ContainerOperations(self.cli)
        self.netmap: interfaces.NetmapInterface = implementations.NetmapOperations(self.cli)


class RpcClientWrapper(interfaces_wrapper.GrpcClientWrapper):
    pass  # The next series
